<?php
class RateMe_Admin {
    public function enqueue_styles() {
        wp_enqueue_style('rateme-admin', RATEME_PLUGIN_URL . 'admin/css/rateme-admin.css', array(), RATEME_VERSION, 'all');
    }

    public function enqueue_scripts() {
        wp_enqueue_script('rateme-admin', RATEME_PLUGIN_URL . 'admin/js/rateme-admin.js', array('jquery'), RATEME_VERSION, true);
    }

    public function add_menu_page() {
        add_menu_page(
            'RateMe Settings',
            'RateMe',
            'manage_options',
            'rateme-settings',
            array($this, 'display_settings_page'),
            'dashicons-star-filled'
        );
    }

    public function display_settings_page() {
        include RATEME_PLUGIN_DIR . 'admin/partials/settings-page.php';
    }
}